Broken dependencies for gnome-shell in natty

Bug #685225 reported by Matt Sturgeon
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Baltix
Invalid
Undecided
Unassigned
gnome-shell (Ubuntu)
Invalid
High
Unassigned

Bug Description

Binary package hint: gnome-shell

Broken dependencies in gnome-shell prevent instillation on Ubuntu Natty Desktop 11.04 Alpha 1.

gnome-shell requires gjs, which requires libgjs0b - however gnome-shell also requires libgjs0a, which conflicts with libgjs0b.

This prevents anyone from installing gnome-shell in Ubuntu 11.04 Alpha 1.

Tags: broken
summary: - Brocken dependencies in natty
+ Broken dependencies in natty
summary: - Broken dependencies in natty
+ Broken dependencies for gnome-shell in natty
Revision history for this message
Harry (harry33) wrote :

This bug is about the gnome-shell version 2.31.5-2ubuntu2.
That one is just a tool chain copy from Maverick. It is a rather old version based on GTK+2 and should be deleted.
The new version (2.91.3) should be build as soon as possible, because right now Natty does not have a working gnome-shell.
G-S is after all the default shell in Gnome (vanilla).

The newest gjs (0.7.7-0ubuntu1) in Natty repos does indeed depend on libgjs0b and thus xulrunner-2.0-mozjs. It cannot of course be installed on Natty with old gnome-shell and old xulrunner-1.9.2.

The window manager and library (mutter and clutter) are, however, recent versions and so are GIR-packages too.
We also have GTK+3 and libgnome3-desktop in repos.

So what is still missing, is the new gnome-shell_2.91.3 and its theme package (gnome-themes-standard_2.91.3).

Some weeks ago, there was a working PPA (ricotz) Testing, but there the gnome-shell package depends on libgjs0a and xulrunner-1.9.2 and thus cannot be used anymore.

Gnome-shells overview screen has changed quite a bit recently and it would be nice to have that one in repos.

Revision history for this message
Harry (harry33) wrote :

See also the bug #685036

Revision history for this message
Micah Gersten (micahg) wrote :

Thank you for reporting this to Ubuntu. I am in the process of upgrading gnome-shell in natty and this should be fixed with the new version (2.91.3). Please report any other issues you may find.

affects: gnome-shell → null
Changed in gnome-shell (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → High
status: New → In Progress
Revision history for this message
Harry (harry33) wrote :

Thanks Micah for this information.
There is one thing, that might be worth considering.
The mutter (2.91.3-0ubuntu1) in Natty repos is actually a bit odd.
The name of the package gir1.0-mutter2.31 is not correct, it should be gir1.0-mutter2.91.
Gnome-shell is depends on this package.

There is also a bug report against mutter (2.91.3):
the newest GTK+3 (2.91.5-0ubuntu2) makes it segfault at startup,
bug #683279

Revision history for this message
Harry (harry33) wrote :

Updating my post #1 here.
A newer gnome-themes-standard_2.91.4 is out there.

Revision history for this message
Micah Gersten (micahg) wrote :

gnome-shell has been removed from natty for the moment (see bug #690045), if we can get enough of gnome3 in natty for it to build, we can add it back, otherwise, it should come back in natty + 1. gnome-shell will be staged with the rest of gnome3 in a PPA for the moment: https://launchpad.net/~gnome3-team/+archive/gnome3, please tag any bug reports for those PPA packages with the gnome3 tag. Please report any other issues you may find.

Changed in gnome-shell (Ubuntu):
assignee: Micah Gersten (micahg) → nobody
status: In Progress → Invalid
Revision history for this message
Matt Sturgeon (mattsturgeon) wrote :

This bug is no longer relevant now that Oneric has integrated Gnome 3

Curtis Hovey (sinzui)
no longer affects: null
Jeremy Bicha (jbicha)
Changed in baltix:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers